"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.randomId = exports.stringify = exports.getUrlPathname = exports.parseUrl = exports.convertToArray = void 0;
const url_1 = require("url");
function convertToArray(data) {
    return Array.isArray(data) ? data : [data];
}
exports.convertToArray = convertToArray;
function parseUrl(url) {
    return new url_1.URL(url);
}
exports.parseUrl = parseUrl;
function getUrlPathname(url) {
    const pathname = parseUrl(url).pathname;
    return pathname.endsWith("/") ? pathname : pathname + "/";
}
exports.getUrlPathname = getUrlPathname;
function stringify(data) {
    if (typeof data === "string") {
        return data;
    }
    try {
        return JSON.stringify(data);
    }
    catch (e) {
        return "";
    }
}
exports.stringify = stringify;
function randomId() {
    return Math.random().toString(20).substr(2, 14);
}
exports.randomId = randomId;
